KDE 4.5 PyKDE API Reference

- KDE's Python API

# KSambaShare Class Reference

`from PyKDE4.kio import *`

Inherits: QObject

## Detailed Description

Similar functionality like KFileShare, but works only for Samba and do not need any suid script. Singleton class, call instance() to get an instance.

## Signals
| changed ()
## Methods
| __init__ (self)
bool | isDirectoryShared (self, QString path)
QStringList | sharedDirectories (self)
QString | smbConfPath (self)
## Static Methods
KSambaShare | instance ()

## Signal Documentation

changed | ( |  | ) |

Emitted when the smb.conf file has changed

Signal syntax:
  `QObject.connect(source, SIGNAL("changed()"), target_slot)`

## Method Documentation

__init__ | ( |  | self ) |

bool isDirectoryShared | ( | self, |
|  | QString | path
| ) |  |  |

Whether or not the given path is shared by Samba.

Parameters:

  | path | the path to check if it is shared by Samba.

Returns:
  whether the given path is shared by Samba.

QStringList sharedDirectories | ( |  | self ) |

Returns a list of all directories shared by Samba. The resulting list is not sorted.

Returns:
  a list of all directories shared by Samba.

QString smbConfPath | ( |  | self ) |

Returns the path to the used smb.conf file or null if no file was found

## Static Method Documentation

KSambaShare instance | ( |  | ) |

Returns the one and only instance of KSambaShare